gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Multiline.TextTagTable

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Methods

Description

Collection of tags that can be used together

Synopsis

- data TextTagTable
- class GObjectClass o => TextTagTableClass o
- castToTextTagTable :: GObjectClass obj => obj -> TextTagTable
- gTypeTextTagTable :: GType
- toTextTagTable :: TextTagTableClass o => o -> TextTagTable
- textTagTableNew :: IO TextTagTable
- textTagTableAdd :: (TextTagTableClass self, TextTagClass tag) => self -> tag -> IO ()
- textTagTableRemove :: (TextTagTableClass self, TextTagClass tag) => self -> tag -> IO ()
- textTagTableLookup :: (TextTagTableClass self, GlibString string) => self -> string -> IO (Maybe TextTag)
- textTagTableForeach :: TextTagTableClass self => self -> (TextTag -> IO ()) -> IO ()
- textTagTableGetSize :: TextTagTableClass self => self -> IO Int

# Detail

You may wish to begin by reading the text widget conceptual overview which gives an overview of all the objects and data types related to the text widget and how they work together.

# Class Hierarchy

    | GObject
    | +----TextTagTable

# Types

data TextTagTable Source #

#### Instances

Instances details

Eq TextTagTable Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: TextTagTable -> TextTagTable -> Bool Source # (/=) :: TextTagTable -> TextTagTable -> Bool Source #
Ord TextTagTable Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: TextTagTable -> TextTagTable -> Ordering Source #

(<) :: TextTagTable -> TextTagTable -> Bool Source #

(<=) :: TextTagTable -> TextTagTable -> Bool Source #

(>) :: TextTagTable -> TextTagTable -> Bool Source #

(>=) :: TextTagTable -> TextTagTable -> Bool Source #

max :: TextTagTable -> TextTagTable -> TextTagTable Source #

min :: TextTagTable -> TextTagTable -> TextTagTable Source #

GObjectClass TextTagTable Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: TextTagTable -> GObject Source # unsafeCastGObject :: GObject -> TextTagTable Source #
TextTagTableClass TextTagTable Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class GObjectClass o => TextTagTableClass o Source #

#### Instances

Instances details

TextTagTableClass TextTagTable Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToTextTagTable :: GObjectClass obj => obj -> TextTagTable Source #

gTypeTextTagTable :: GType Source #

toTextTagTable :: TextTagTableClass o => o -> TextTagTable Source #

# Constructors

textTagTableNew :: IO TextTagTable Source #

Creates a new `TextTagTable`. The table contains no tags by default.

# Methods

textTagTableAdd :: (TextTagTableClass self, TextTagClass tag) => self -> tag -> IO () Source #

Add a tag to the table. The tag is assigned the highest priority in the table.

The tag must not be in a tag table already, and may not have the same name as an already-added tag.

textTagTableRemove :: (TextTagTableClass self, TextTagClass tag) => self -> tag -> IO () Source #

Remove a tag from the table.

textTagTableLookup Source #

Arguments

:: (TextTagTableClass self, GlibString string) |
=> self |
-> string | `name` - name of a tag
-> IO (Maybe TextTag) | returns The tag, or `Nothing` if none by that name is in the table.

Look up a named tag.

textTagTableForeach :: TextTagTableClass self => self -> (TextTag -> IO ()) -> IO () Source #

Maps over each tag in the table.

textTagTableGetSize :: TextTagTableClass self => self -> IO Int Source #

Returns the size of the table (the number of tags).